<h1>Allgemeine Einstellungen - SEO</h1>
<?php
if (!in_array("Stammdaten", $_SESSION['Rechte'])) {
	exit(ZUGRIFF_ERROR);
}
if (!isset($_SESSION['ID'])) {
} else {
	if ("Speichern" == $_POST['action']) {
		$sqls1		= 'UPDATE US SET Wert = "'.$_POST['Vertreter2'].'" WHERE Name = "SEOTitel";';
		$stmts1		= $db->prepare($sqls1);
		if (!stmts1) {
			die ('Datensatz konnte nicht gespeichert werden: '.$db->error);
		}
		if (!$stmts1->execute()) {
			die ('Datensatz konnte nicht gespeichert werden: '.$stmts1->error);
		}
		$sqls2		= 'UPDATE Firma SET
			Firma		= "'.$_POST['Firma'].'",
			Strasse		= "'.$_POST['Strasse'].'",
			HausNr		= "'.$_POST['HausNr'].'",
			PLZ			= "'.$_POST['PLZ'].'",
			Ort			= "'.$_POST['Ort'].'",
			Land		= "'.$_POST['Land'].'",
			EMail		= "'.$_POST['EMail'].'",
			Vertreter1	= "'.$_POST['Vertreter1'].'",
			Vertreter2	= "'.$_POST['Vertreter2'].'",
			Vertreter3	= "'.$_POST['Vertreter3'].'",
			Telefon		= "'.$_POST['Telefon'].'"
		WHERE ID = "4";';
		$stmts2		= $db->prepare($sqls2);
		if (!stmts2) {
			die ('Datensatz konnte nicht gespeichert werden: '.$db->error);
		}
		if (!$stmts2->execute()) {
			die ('Datensatz konnte nicht gespeichert werden: '.$stmts2->error);
		}
		echo "<p class=\"hinweis\">SEO-Daten wurden gespeichert!</p>\n";
	}
	$sql2		= "SELECT * FROM Firma WHERE ID = \"4\";";
	$result2	= $db->query($sql2);
	$nt2		= $result2->fetch_assoc();

	echo "<p>Folgende Einstellungen werden nur in Verbindung mit dem Modul <span class=\"hinweis\">SEO</span> benötigt!</p>\n";

	echo "<form action=\"index.php?".$_SERVER['QUERY_STRING']."\" method=\"post\" >\n";
	echo "<fieldset>\n";
	echo "<legend>Search Engine Optimization</legend>\n";
	echo "<fieldset>\n";
	echo "<legend>Seitentitel (title)</legend>\n";
	echo "	<label>fester Bestandteil</label>\n";
	echo "	<input type=\"text\" name=\"Firma\" value=\"".$nt2['Firma']."\" />\n";
	echo "	<img src=\"../img/help.gif\" title=\"Der Anfang des Seitentitels auf allen Seiten\" />\n";
	echo "	<br />\n";
	echo "	<label>Bereichsbeschreibungen</label>\n";
	echo "	<input type=\"radio\" name=\"Vertreter1\" value=\"on\" ";
	if ("on" == $nt2['Vertreter1']) {
		echo "checked=\"checked\" ";
	}
	echo ">benutzen\n";
	echo "	<img class=\"drueber\" src=\"../img/help.gif\" title=\"Nutzt die Beschreibungen: Immobilien Wohnen, Immobilien Gewerbe, Wohnungen Miete ...\" />\n";
	echo "	<br />\n";
	echo "	<label>&nbsp;</label>\n";
	echo "	<input type=\"radio\" name=\"Vertreter1\" value=\"off\" ";
	if ("off" == $nt2['Vertreter1']) {
		echo "checked=\"checked\" ";
	}
	echo ">nicht benutzen\n";
	echo "	<br />\n";
	echo "</fieldset>\n";
	echo "	<br />\n";
	echo "<fieldset>\n";
	echo "<legend>Seitenbeschreibung (meta description)</legend>\n";
	echo "	<label>Beschreibung aus</label>\n";
	echo "	<input type=\"radio\" name=\"Vertreter2\" value=\"Head\" ";
	if ("Head" == $nt2['Vertreter2']) {
		echo "checked=\"checked\" ";
	}
	echo ">Überschriften\n";
	echo "	<img class=\"drueber\" src=\"../img/help.gif\" title=\"Für die Seitenbeschreibung wird automatisch die Überschrift aus der Objekteingabe genutzt.\" />\n";
	echo "	<br />\n";
	echo "	<label>&nbsp;</label>\n";
	echo "	<input type=\"radio\" name=\"Vertreter2\" value=\"Tags\" ";
	if ("Tags" == $nt2['Vertreter2']) {
		echo "checked=\"checked\" ";
	}
	echo ">Eigene Tags\n";
	echo "	<img class=\"drueber\" src=\"../img/help.gif\" title=\"Für die Seitenbeschreibung wird in der Objekteingabe ein eigenes Feld erzeugt.\" />\n";
	echo "	<br />\n";
	echo "</fieldset>\n";
	echo "	<br />\n";
	echo "<fieldset>\n";
	echo "	<legend>Stichwörter (meta keywords)</legend>\n";
	echo "	<input class=\"lang\" type=\"text\" name=\"Vertreter3\" value=\"".$nt2['Vertreter3']."\" />\n";
	echo "	<br />\n";
	echo "</fieldset>\n";
	echo "	<br />\n";
	echo "<fieldset>\n";
	echo "	<legend>Zielgruppe (meta audience)</legend>\n";
	echo "	<label>Zielgruppe</label>\n";
	echo "	<input type=\"text\" name=\"Strasse\" value=\"".$nt2['Strasse']."\" />\n";
	echo "	<br />\n";
	echo "</fieldset>\n";
	echo "	<br />\n";
	echo "<fieldset>\n";
	echo "	<legend>Sprache (meta language)</legend>\n";
	echo "	<label>Seitensprache</label>\n";
	echo "	<input type=\"text\" name=\"HausNr\" value=\"".$nt2['HausNr']."\" />\n";
	echo "	<br />\n";
	echo "</fieldset>\n";
	echo "	<br />\n";
	echo "<fieldset>\n";
	echo "	<legend>Autor (meta author)</legend>\n";
	echo "	<label>Autor / Seitenbesitzer</label>\n";
	echo "	<input type=\"text\" name=\"PLZ\" value=\"".$nt2['PLZ']."\" />\n";
	echo "	<br />\n";
	echo "</fieldset>\n";
	echo "	<br />\n";
	echo "<fieldset>\n";
	echo "	<legend>Seitenthema (meta page-topic)</legend>\n";
	echo "	<label>Seitenthema</label>\n";
	echo "	<input type=\"text\" name=\"Ort\" value=\"".$nt2['Ort']."\" />\n";
	echo "	<br />\n";
	echo "</fieldset>\n";
	echo "	<br />\n";
	echo "<fieldset>\n";
	echo "	<legend>Suchmaschinenbesuch (meta revisit-after)</legend>\n";
	echo "	<label>Anzahl der Tage</label>\n";
	echo "	<input class=\"kurz\" type=\"text\" name=\"Land\" value=\"".$nt2['Land']."\" />\n";
	echo "	<br />\n";
	echo "</fieldset>\n";
	echo "	<br />\n";
	echo "<fieldset>\n";
	echo "	<legend>Herausgeber (meta publisher)</legend>\n";
	echo "	<label>Inhaltsverantwortlicher</label>\n";
	echo "	<input type=\"text\" name=\"Telefon\" value=\"".$nt2['Telefon']."\" />\n";
	echo "	<br />\n";
	echo "</fieldset>\n";
	echo "	<br />\n";
	echo "	<input type=\"submit\" name=\"action\" value=\"Speichern\" />\n";
	echo "	<input type=\"reset\" name=\"Rücksetzen\" />\n";
	echo "</fieldset>\n";
	echo "</form>\n";
}
?>